## Struct content_spec_choice

zeep::xml::doctype::content_spec_choice

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    struct content_spec_choice : public  {
      // construct/copy/destruct
      ();
      (content_spec_ptr, );
      ~();

      // public member functions
       (content_spec_ptr);
       () ;
       () ;

      // public data members
       m_allowed;
       m_mixed;
    };

## Description

### `content_spec_choice` public construct/copy/destruct

1.     ( mixed);

2.     (content_spec_ptr a,  mixed);

3.     ~();

### `content_spec_choice` public member functions

1.      (content_spec_ptr a);

2.      () ;

3.      () ;